Sanctions Türkiye
  1. Screenings
Sanctions Türkiye
  • Health
    • Servis sağlık kontrolü
      GET
  • Auth
    • Kullanıcı girişi
      POST
    • Access token yenile
      POST
    • Aktif oturumu getir
      GET
  • Users
    • Kurum kullanıcılarını listele
      GET
    • Yeni kullanıcı oluştur
      POST
    • Kullanıcı bilgilerini güncelle
      PATCH
    • Kullanıcıyı pasife çek
      DELETE
  • API Keys
    • API anahtarlarını listele
      GET
    • Yeni API anahtarı oluştur
      POST
    • API anahtarını güncelle
      PATCH
    • API anahtarını sil
      DELETE
  • Customers
    • Müşterileri listele
      GET
    • Müşteri oluştur
      POST
    • Müşteri detay
      GET
    • Müşteri güncelle
      PATCH
    • Müşteriyi sil
      DELETE
  • Screenings
    • Screening kayıtlarını listele
      GET
    • Yeni screening başlat
      POST
    • Screening detayını getir
      GET
    • Screening kararını güncelle
      PATCH
  • Search
    • Yaptırım araması (GET)
      GET
    • Yaptırım araması (POST)
      POST
    • API anahtarı ile arama (GET)
      GET
    • API anahtarı ile arama (POST)
      POST
  • Search Logs
    • Arama loglarını listele
    • Arama logu detayı
  • API Key Logs
    • API key isteklerini listele
    • API key log detayı
  • Schemas
    • Schemas
      • ErrorResponse
      • AuthLoginRequest
      • AuthRefreshRequest
      • AuthSession
      • UserResponse
      • UserCreateRequest
      • UserUpdateRequest
      • ApiKeyResponse
      • ApiKeyCreateRequest
      • ApiKeyUpdateRequest
      • CustomerRequest
      • CustomerResponse
      • PaginatedCustomers
      • ScreeningHit
      • ScreeningRequest
      • ScreeningDecisionRequest
      • ScreeningResponse
      • PaginatedScreenings
      • SearchIdentifier
      • SearchQuery
      • EntityRecord
      • SanctionRecord
      • SearchResultItem
      • SearchResponse
      • SearchLogResponse
      • PaginatedSearchLogs
      • ApiKeyLogResponse
      • PaginatedApiKeyLogs
  1. Screenings

Screening detayını getir

GET
/api/screenings/{screeningId}

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200OK
application/json
Detay
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.sanctions.tr/api/screenings/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": "string",
    "institutionId": "string",
    "customerId": "string",
    "query": {
        "name": "string",
        "type": "person",
        "gender": "string",
        "birthDate": "2019-08-24",
        "nationality": "string",
        "country": "string",
        "identifier": "string",
        "identifiers": [
            {
                "type": "string",
                "value": "string"
            }
        ],
        "page": 1,
        "pageSize": 1
    },
    "hits": [
        {
            "entityId": "string",
            "source": "string",
            "program": "string",
            "entityName": "string",
            "entityType": "string",
            "countries": [
                "string"
            ],
            "sanctions": [
                {
                    "source": "string",
                    "program": "string",
                    "referenceId": "string"
                }
            ],
            "score": 0,
            "matchedFields": [
                "string"
            ]
        }
    ],
    "overallScore": 0,
    "decision": {
        "status": "string",
        "decidedBy": "string",
        "decidedAt": "2019-08-24T14:15:22.123Z",
        "reason": "string"
    },
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z"
}
Modified at 2025-12-18 00:56:56
Previous
Yeni screening başlat
Next
Screening kararını güncelle
Built with